summaryrefslogtreecommitdiff
path: root/tests/chmod/c-option
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chmod/c-option')
-rwxr-xr-xtests/chmod/c-option4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/chmod/c-option b/tests/chmod/c-option
index 36feb6d2b..167f5bb3a 100755
--- a/tests/chmod/c-option
+++ b/tests/chmod/c-option
@@ -30,7 +30,7 @@ chmod 444 $file || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
- (exit 1); exit
+ (exit 1); exit 1
fi
. $abs_srcdir/../setgid-check
@@ -47,4 +47,4 @@ case "`cat out`" in
*) fail=1 ;;
esac
-(exit $fail); exit
+(exit $fail); exit $fail